package fr.contralia.client.example;

import java.io.IOException;
import java.io.InputStream;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class Hash {

	static public byte[] hash(InputStream is, String algo) throws NoSuchAlgorithmException, IOException {
		byte[] buf = new byte[16384];

		MessageDigest md = MessageDigest.getInstance(algo);
		int n;

		while ((n = is.read(buf, 0, 16383)) > 0) {
			md.update(buf, 0, n);
		}

		return md.digest();
	}
}
